# KingClaim

### Description

Action to Claim KING token as EtherFi reward on behalf of smart wallet

### Action ID

`0xb5997e1a`

### SDK Action

```ts
const kingClaimAction = new dfs.actions.basic.KingClaimAction(
    to,
    amount,
    merkleRoot,
    merkleProof
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param to Address where to send the KING token
    /// @param amount Amount of KING token to claim
    /// @param merkleRoot Merkle root of the claim
    /// @param merkleProof Merkle proof of the claim
    struct Params {
        address to;
        uint256 amount;
        bytes32 merkleRoot;
        bytes32[] merkleProof;
    }
```

### Return Value

```solidity
return bytes32(inputData.amount);
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/kingclaim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
